classification
Title: ConfigParser.[Raw]ConfigParser optionxform()
Type: behavior Stage: resolved
Components: Documentation Versions: Python 2.7, Python 2.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: lukasz.langa Nosy List: Adam.Groszer, docs@python, eric.araujo, georg.brandl, lukasz.langa, python-dev
Priority: normal Keywords:

Created on 2011-04-06 17:17 by Adam.Groszer, last changed 2012-07-07 14:11 by lukasz.langa. This issue is now closed.

Messages (7)
msg133148 - (view) Author: Adam Groszer (Adam.Groszer) Date: 2011-04-06 17:17
The documentation http://docs.python.org/library/configparser.html states that optionxform() is used only beginning ConfigParser.ConfigParser, whereas it is ALSO in effect for ConfigParser.RawConfigParser. (As I checked in the source)
msg133150 - (view) Author: Łukasz Langa (lukasz.langa) * (Python committer) Date: 2011-04-06 17:43
The documentation may be poorly worded but `optionxform()` has always been used also by RawConfigParser. It has been that way since the introduction of this class in Python 2.3 (previously there was only one ConfigParser class which used `optionxform()` since at least Python 1.6).

Both the documentation and the code have seen significant updates in Python 3.2 and there the situation is more explicit.

I'll rephrase the docs for 2.7.
msg134685 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-04-28 15:41
New changeset c7ce67c9237a by Łukasz Langa in branch '2.6':
Closes #11786: ConfigParser.[Raw]ConfigParser optionxform().
http://hg.python.org/cpython/rev/c7ce67c9237a

New changeset a6b772599594 by Łukasz Langa in branch '2.7':
Merged solution for #11786 from 2.6
http://hg.python.org/cpython/rev/a6b772599594
msg134771 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-04-29 14:51
2.5 and 2.6 are in security mode.  Other bug fixes, build changes, documentation improvements, etc. should not go in these branches.  Your commit does not break anything, but for process clarity, please back it out.
msg134797 - (view) Author: Łukasz Langa (lukasz.langa) * (Python committer) Date: 2011-04-29 17:37
Sorry about that. Since I'm not technically touching the source code, I thought the security fixes restriction does not necessarily apply. Especially that my patch only updates what ends up here:

http://docs.python.org/release/2.6.6/library/configparser.html
msg134852 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2011-04-30 11:25
The point is, all gratuitous changes to such branches are a nuisance to the release manager who decides what needs to go into a security release.

Also, doc changes in 2.6 are almost completely gratuitous, since the docs are never again built and put online somewhere.  (Source-only releases don't have build doc releases.)
msg134864 - (view) Author: Łukasz Langa (lukasz.langa) * (Python committer) Date: 2011-04-30 14:33
Yup, the fact that the docs won't be rebuilt ever again makes my 2.6 commit effectively pointless and harmful for the RM. I will clean it up when I get home.

Thanks for the thorough explanation.
History
Date User Action Args
2012-07-07 14:11:21lukasz.langasetstatus: pending -> closed
2011-05-13 16:00:11eric.araujosetstatus: closed -> pending
title: ConfigParser. -> ConfigParser.[Raw]ConfigParser optionxform()
2011-04-30 14:33:39lukasz.langasetmessages: + msg134864
title: ConfigParser.[Raw]ConfigParser optionxform() -> ConfigParser.
2011-04-30 11:25:20georg.brandlsetnosy: + georg.brandl
messages: + msg134852
2011-04-29 17:37:49lukasz.langasetmessages: + msg134797
2011-04-29 14:51:30eric.araujosetnosy: + eric.araujo
messages: + msg134771
2011-04-28 15:42:31lukasz.langasetversions: + Python 2.6
2011-04-28 15:41:25python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg134685

resolution: accepted -> fixed
stage: resolved
2011-04-06 17:43:32lukasz.langasetresolution: accepted
messages: + msg133150
2011-04-06 17:24:55lukasz.langasetassignee: docs@python -> lukasz.langa

nosy: + lukasz.langa
2011-04-06 17:17:55Adam.Groszercreate